package com.sd.cavphmi

import androidx.test.platform.app.InstrumentationRegistry
import androidx.test.ext.junit.runners.AndroidJUnit4
import com.sd.cavphmi.utils.SM4CryptoHelper

import org.junit.Test
import org.junit.runner.RunWith

import org.junit.Assert.*

/**
 * Instrumented test, which will execute on an Android device.
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
@RunWith(AndroidJUnit4::class)
class ExampleInstrumentedTest {
    @Test
    fun useAppContext() {
        // Context of the app under test.
        val appContext = InstrumentationRegistry.getInstrumentation().targetContext
        assertEquals("com.sd.cavphmi", appContext.packageName)
    }

    @Test
    fun loginCpy(){
        var pwd="vUO2dStZDhbd*88FfT84"
        var key="Cusc@itmp-sm4key".toByteArray()
        var pp=SM4CryptoHelper.encryptECB(key,pwd.toByteArray())
        println("------------------pp = ${pp}")
    }
}